package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuUserPayList;
import com.cku.util.PageBean;

public interface CkuUserPayListMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CkuUserPayList record);

    int insertSelective(CkuUserPayList record);

    CkuUserPayList selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CkuUserPayList record);

    int updateByPrimaryKeyWithBLOBs(CkuUserPayList record);

    int updateByPrimaryKey(CkuUserPayList record);

    /**
     * 
     * @Description：查询CKU会员我的账户余额收支详情
     * @author: zhuoHeng
     * @version: 2016年4月14日 下午3:47:35
     */
    List<CkuUserPayList> getCkuBalanceInfo(@Param("userId") String userId,@Param("limit") long limit,@Param("start") long start,@Param("flag") String flag);

	String getMoneyWay(@Param("runningNumber")String orderId);
}